export interface Options {
    /** The JIRA issue key (e.g. the ABC in ABC-123). */
    key: string;
    /** The JIRA instance issue base URL (e.g. https://jira.atlassian.com/browse/). */
    url: string;
    /**
     * The emoji to display with the JIRA issue link.
     * See the possible emoji values, listed as keys in the
     * [GitHub API `/emojis` response](https://api.github.com/emojis).
     * Defaults to `':link:'`.
     */
    emoji?: string;
}
/**
 * A Danger plugin to add a JIRA issue link to the Danger pull request comment.
 * If a pull request title does not contain the supplied JIRA issue identifier (e.g. ABC-123),
 * then Danger will comment with a warning on the pull request asking the developer
 * to include the JIRA issue identifier in the pull request title.
 */
export default function jiraIssue(options: Options): void;
